# Method: projects.locations.volumes.replications.patch

- [HTTP request](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.volumes.replications/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.volumes.replications/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.volumes.replications/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.volumes.replications/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.volumes.replications/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.volumes.replications/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.volumes.replications/patch#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.volumes.replications/patch#try-it)

Updates the settings of a specific replication.

### HTTP request

`PATCH https://netapp.googleapis.com/v1alpha1/{replication.name=projects/*/locations/*/volumes/*/replications/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `replication.name` | `string` Identifier. The resource name of the Replication. Format: `projects/{projectId}/locations/{location}/volumes/{volumeId}/replications/{replicationId}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask of fields to update. At least one path must be supplied in this field. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.volumes.replications#Replication`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `netapp.replications.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).